## checksumsink checksumsink |

## Properties

GstChecksumSinkHash | hash | Read / Write

## Types and Values

struct | GstChecksumSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstChecksumSink

## Description

## Synopsis

### Element Information

plugin | debugutilsbad
author | David Schleef <ds@schleef.org>
class | Debug/Sink

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstChecksumSink

    struct GstChecksumSink;

## Property Details

### The `“hash”` property

      “hash”                     GstChecksumSinkHash

Checksum type.

Flags: Read / Write

Default value: SHA-1